v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/cohortenrollments/{cohortid}
Retrieves cohort enrollments by study, mode and cohort ID. Rights: SubjectSettingRightsGet.
Request
Path Parameters
-
cohortid(required): string(uuid)
ID of the cohort.Example:
B1B8327AFAA6412287106192AB5984EF -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Cohort Enrollments
Type:
objectTitle:
Cohort EnrollmentsResponse object containing cohort enrollment details.
Show Source
-
cohortId: string
(uuid)
Cohort ID.
-
enabled: boolean
Indicates if cohort is enabled.Example:
true -
enrollmentLimitReached: boolean
Indicate if enrollment limit is reached.Example:
true -
notificationLimit: number
(double)
Notification limit value. Once value is reached a notification is sent.Example:
5 -
randomizationLimit: number
(double)
Maximum number of subjects who can be randomized for the study.Example:
5 -
randomizedSubjects: number
(double)
Number of randomized subjectsExample:
5
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples